import argparse


parser = argparse.ArgumentParser(description='')
parser.add_argument("-n", type=int, default=30, help="number of nodes")
parser.add_argument("-k", type=int, default=3, help="degree, integer")
parser.add_argument("-beta", type=float, default=0.8, help="beta")
parser.add_argument('-channel',type=int, default=32,help='graph convolution channel')
parser.add_argument("-maxdim", type=int, default=30, help="maximum dimension of intermediate tensor")
parser.add_argument("-bond", type=int, default=2,help="initial bond dimention of every dimention of tensor ")
parser.add_argument("-choice", type=int,default=1,help="choice to initialize the tensor,1 denote on node,2 denote on edge")
parser.add_argument("-seed", type=int, default=1, help="seed")
parser.add_argument('-cuda',type=int,default=0)
parser.add_argument("-seed1",type=int,default=2,help='seed for initialize tensors')
parser.add_argument("-seed2", type=int, default=-1, help="seed2")
parser.add_argument("-graph", type=str, default='rrg', help="graph")
parser.add_argument("-which", type=int,default=0,help='choose which graph to calculate freeenergy')
parser.add_argument("-field", type=str, default='zero', choices=['one', 'rand', 'randn'])
parser.add_argument("-node", type=str, default='mps', choices=['raw', 'mps'],
                    help="node representation, raw or mps")
parser.add_argument("-verbose", type=int, default=-1, help="verbose")
parser.add_argument("-Dmax", type=int, default=32,
                    help="Maximum physical bond dimension of the tensors. With Dmax<0, contraction will be exact")
parser.add_argument("-chi", type=int, default=32, help="Maximum virtual bond dimension of the mps.")
parser.add_argument("-permutation",action='store_true',help='an isomorphism bijection')
parser.add_argument('-output', action='store_true')
parser.add_argument('-nx_iso',action='store_true')
parser.add_argument('-wl', action='store_true')
parser.add_argument('-dataset', type=str, default='MUTAG',help='name of dataset')
parser.add_argument('-batch_size',type=int,default=32)
parser.add_argument('-fold_idx',type=int,default=0)
parser.add_argument('-filename',type=str,default='out.txt')
parser.add_argument('-disable-cuda',action='store_true',help='Disable CUda')
parser.add_argument('-device',type=int,default=0,help="which gpu device to use")
parser.add_argument('-num_layer',type=int,default=10,help='number of nmf neural network')
parser.add_argument('-lr',type=float,default=0.01)
parser.add_argument('-epoch',type=int,default=200)
args = parser.parse_args()
